edu.northwestern.at.morphadorner.tools.addpseudopages

## Class AddPseudoPages

- java.lang.Object
- - edu.northwestern.at.morphadorner.tools.addpseudopages.AddPseudoPages

-     public class AddPseudoPages
      extends java.lang.Object

  Add pseudopages to an adorned file.

  Usage:

  >       java edu.northwestern.at.morphadorner.tools.addpseudopages.AddPseudoPages input.xml output.xml pseudopagesize pageendingdivtypes

  input.xml | Input MorphAdornerd xml file.
  output.xml | Derived adorned file with pseudopage milestones added. N.B. Existing pseudopage milestones are deleted before the new ones are added.
  pseudopagesize | The maximum number of words in each pseudopage. Default: 300 .
  pageendingdivtypes | Blank separated list of <div> types which force the closure of a pseudopage. Default: chapter volume sermon

  The derived adorned output file output.xml has pseudopage milestone elements added approximately every pseudopagesize words. No distinction is made between main and paratext when generating the pseudopages. Each pseudopage starts with a milestone of the form:

  > <milestone unit="pseudopage" n="n" position="start"></milestone>

  and ends with a milestone element of the form:

  > <milestone unit="pseudopage" n="n" position="end"></milestone>

  The n is the pseudopage number.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AddPseudoPages(java.lang.String xmlInputFileName, java.lang.String xmlOutputFileName, int pseudoPageSize, java.lang.String pageEndingDivTypes)` Add pseudopage milestones to an adorned file.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static void` | `displayUsage()` Display usage.
    `static void` | `main(java.lang.String[] args)` Main program.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AddPseudoPages

          public AddPseudoPages(java.lang.String xmlInputFileName,
                        java.lang.String xmlOutputFileName,
                        int pseudoPageSize,
                        java.lang.String pageEndingDivTypes)

      Add pseudopage milestones to an adorned file.
      Parameters:
        `xmlInputFileName` - Input XML file.
        `xmlOutputFileName` - Output XML file.
        `pseudoPageSize` - Number of words in a pseudopage.
        `pageEndingDivTypes` - div types that end a pseudopage.

  - ### Method Detail

    - #### main

          public static void main(java.lang.String[] args)

      Main program.

    - #### displayUsage

          protected static void displayUsage()

      Display usage.